
D4Science Infrastructure - Task #8442

Authorization Service  to update : auth@node7.d.d4science.research-infrastructures.eu

May 09, 2017 11:32 AM - Maria Di Girolamo

Status: Closed Start date: May 12, 2017

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: Dismiss

node7.d.d4science.research-infrastructur

es.eu

  

Infrastructure: Development   

Description

Subtasks:

VM Creation # 8563: Move tabulardata service instance on a new VM called tabulardata-de... Closed

Task # 8564: Move tabulardata databases hosted on node7.d to postgresql-srv-dev Closed

VM Creation # 8561: Move authorization service instance on  a new VM called auth-dev.d4... In Progress

Related issues:

Related to D4Science Infrastructure - Task #8435: tabular-data-manager servic... Closed May 09, 2017

Copied to D4Science Infrastructure - Task #8443: Home Library Webapp  to test... Closed May 09, 2017

History

#1 - May 09, 2017 11:32 AM - Maria Di Girolamo

- Copied from Task #8440: RConnector  to test : rstudio-dev.d4science.org added

#2 - May 09, 2017 11:32 AM - Maria Di Girolamo

- Copied from deleted (Task #8440: RConnector  to test : rstudio-dev.d4science.org)

#3 - May 09, 2017 11:35 AM - Maria Di Girolamo

- Assignee changed from Lucio Lelii to _InfraScience Systems Engineer

#4 - May 09, 2017 11:39 AM - Maria Di Girolamo

- Copied to Task #8443: Home Library Webapp  to test :  node11.d.d4science.research-infrastructures.eu added

#5 - May 11, 2017 06:54 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#6 - May 11, 2017 07:04 PM - Andrea Dell'Amico

node7.d.d4science.research-infrastructures.eu is running ubuntu 12.04 so we cannot just install java 8: we need Ubuntu 14.04.

The VM is also running the dev tabulardata service and database.

The databases should be moved to postgresql-srv-dev.d4science.org, and the auth and tabulardata dev services split on different servers.

#7 - May 11, 2017 07:08 PM - Andrea Dell'Amico

- Related to Task #8435: tabular-data-manager service to update : gcube@node7.d.d4science.research-infrastructures.eu added

#8 - May 12, 2017 09:27 AM - Maria Di Girolamo

- Status changed from New to In Progress

#9 - May 12, 2017 09:28 AM - Maria Di Girolamo

- Status changed from In Progress to Feedback

#10 - May 12, 2017 11:35 AM - Pasquale Pagano
Andrea Dell'Amico wrote:

node7.d.d4science.research-infrastructures.eu is running ubuntu 12.04 so we cannot just install java 8: we need Ubuntu 14.04.

 Can we update the Ubuntu version? 

The VM is also running the dev tabulardata service and database.

The databases should be moved to postgresql-srv-dev.d4science.org, and the auth and tabulardata dev services split on different servers.

 @roberto.cirillo@isti.cnr.it, are you going to perform these activities?

#11 - May 12, 2017 12:21 PM - Andrea Dell'Amico

Pasquale Pagano wrote:

Andrea Dell'Amico wrote:

node7.d.d4science.research-infrastructures.eu is running ubuntu 12.04 so we cannot just install java 8: we need Ubuntu 14.04.

 Can we update the Ubuntu version? 

 We can create two new VMs, one for tabulardata and one for the auth service.

#12 - May 12, 2017 04:44 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

Pasquale Pagano wrote:

Andrea Dell'Amico wrote:

node7.d.d4science.research-infrastructures.eu is running ubuntu 12.04 so we cannot just install java 8: we need Ubuntu 14.04.

 Can we update the Ubuntu version? 

 We can create two new VMs, one for tabulardata and one for the auth service.

 I agree. I think this is the best solution

#13 - May 12, 2017 04:49 PM - Andrea Dell'Amico

I spoke to @lucio.lelii@isti.cnr.it that agrees too. He's asking to maintain node7.d.d4science.research-infrastructures.eu to not force an immediate

reconfiguration of all the authorization clients in dev.

We can keep that hostname as an alias of the new authorization VM, and remove it when all the clients will be reconfigured.

#14 - May 12, 2017 05:54 PM - Roberto Cirillo

I've created 3 subtasks for this purpose and a common sprint called "Dismiss node7.d.d4science.research-infrastructures.eu"

#15 - May 18, 2017 10:21 AM - Roberto Cirillo

- Parent task deleted (#8380)

For performing the java8 tests I've created two new tickets for both services hosted on node7.p:

#8660

#8675

I'm going to detach this ticket from sprint "gCube Infra to Java8"

#16 - May 18, 2017 10:22 AM - Roberto Cirillo

- Target version changed from gCube Infra to Java8 to Dismiss node7.d.d4science.research-infrastructures.eu

#17 - Jan 08, 2018 02:28 PM - Roberto Cirillo

- Status changed from Feedback to Closed
